> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/vault/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/vault/api/system-backend/sys-config-control-group.md).

# /sys/config/control-group

The `/sys/config/control-group` endpoint is used to configure Control Group settings.

### Read control group settings

This endpoint returns the current Control Group configuration.

| Method | Path                        |
| ------ | --------------------------- |
| `GET`  | `/sys/config/control-group` |

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    http://127.0.0.1:8200/v1/sys/config/control-group
```

#### Sample response

```json
{
  "max_ttl": "4h"
}
```

### Configure control group settings

This endpoint allows configuring control groups.

| Method | Path                        |
| ------ | --------------------------- |
| `POST` | `/sys/config/control-group` |

#### Parameters

* `max_ttl` `int` – The maximum ttl for a control group wrapping token. This can be provided in seconds or duration (2h).

#### Sample payload

```json
{
  "max_ttl": "4h"
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/config/control-group
```

### Delete control group settings

This endpoint removes any control group configuration.

| Method   | Path                        |
| -------- | --------------------------- |
| `DELETE` | `/sys/config/control-group` |

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request DELETE \
    http://127.0.0.1:8200/v1/sys/config/control-group
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-config-control-group.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
